import { Program } from "./";
export declare function init(_program: Program, runargv: string[]): Promise<void>;
export declare function setup(): Promise<void>;
export declare function terminate(force?: boolean): Promise<void>;
export declare function threaded(call: string): (_originalMethod: unknown, context: ClassMethodDecoratorContext) => void;
export declare function multicast(call: string): (_originalMethod: unknown, context: ClassMethodDecoratorContext) => void;
